English

Upgrading from *official* 14.1 to 15.1 (feedback/issues)

Do you think these fixes reside in modem.zip so that @chrmhoffmann can’t implement them in LOS directly?

Do you have a notification sound set? I had none set, as I don’t want to get disturbed when a new mail arrives. I read on GitHub in the K9 repo that it should work, when you set a notification sound. I tried it and indeed LED notification is working.

IMHO a K9 / Oreo related bug…

Depending on the app, you could just “disable” it on their settings screen. From TWRP you could delete files with the included File Manager on every update.

Otherwise, the only possible automated way is making a custom /system/addon.d script which is executed on every update. They are usually used to preserve apps and files (example) but are ready to be used for random operations.

No, I lack the knowledge, but this is a plausible explanation:

Do you use some VPN-based ad blocker like Blokada or DNS66? These cause that apps downloading files through the Android Download Manager fail to do so. Other apps with their own download managers (like full Firefox) work fine.

1 Like

Most likely. The modem.zip flashes firmware, and the bootloader is firmware (although I’m not sure if any of the images we actually provide is the bootloader). If a fix is released by Fairphone, I’m sure we will be able to get it into newer modem.zip releases.

1 Like

Okay, thank you.
The problem with stock SMS app is, that i couldnt be disabled.
But maybe i try the script solution.

As usual you solve this in 3 seconds :rofl:
Is indeed caused by Blokada.

1 Like

Yes, i have, and i guess you’re right that that is Bug

1 Like

last_kmsg file. :slight_smile:

Hi there,
I needed to update TWRP for the LOS 14.1 --> 15.1 Upgrade.
Now I get the message that an update to LOS 15.1 20.08.2018 is available, but trying to update I’m getting the message:

“Hinweis: Diese Funktion erfordert ein kompatibles Recovery-System, anderenfalls muss das Update manuell installiert werden.”

which seems to be a TWRP thing. I darkly remember there’s an adapted TWRP for LOS OTA updates to prevent overwriting something?

What can I do?
Thanks in advance
Tobias

OTA updates for Lineage OS 15.1 are broken (see above: Upgrading from *official* 14.1 to 15.1 (feedback/issues))

Anyway, your issue seems to be the TWRP recovery is not up-to-date, maybe. Try to update it to latest available (3.2.3 at the moment)

3 Likes

I have since the change constantly wlan aborted. No matter if 2 or 5 GHz. Bluetooth is also always on. :roll_eyes:

Oh. I think that the 15.1 branch does not have the wlan driver rollback that should fix your apple router problem. Damn. Will fix that for next release.

Chris

4 Likes

I just recognized that also for me the Bluetooth devices were gone after the update to 15.1.
I could connect my pebble but at trying to find my speaker the phone stuck in the Bluetooth menu. Also tried a reboot without any positive effect.
I can not confirm if that only happened with the build from 20.08. cause I simply did not tried with the older build.
Anyone else experienced that?

The settings button crash should be fixed in next build.

https://review.lineageos.org/#/c/LineageOS/android_lineage-sdk/+/222035/

Chris

1 Like

Clock Widget -> Widget Settings -> crashes on me. :wink:

Yes, me, too :frowning:

Chris

I can confirm this behaviour.

Will we loose the 2,4GHz Bonding that was mentioned in the release notes some time ago ;-)?